
QGIS Application - Bug report #3247

Map Composer scale bar does not update after changing project CRS

2010-11-23 06:49 AM - Tim Sutton

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 13307

Description

If I am composing a map and I have a scale bar added on the layout, then change the CRS of the QGIS project, the scale bar does not

update to reflect the changed units.

History

#1 - 2010-11-30 07:50 AM - Marco Hugentobler

Not sure exactly what you mean. The composer scalebar is always related to a composer map (not directly to the QGIS project) and relates to the

composer map units. So intended behaviour is that the scale bar updates as soon as the extent of the related composer map changes.

#2 - 2011-03-24 01:52 PM - Marco Hugentobler

- Resolution set to wontfix

- Status changed from Open to Closed
